Query Content Library Project Permissions
Retrieve a list of project permissions for a content library.
Retrieve a list of project permissions for a content library. By default, this list is sorted by permission type in ascending order.
Request
URI
GET
https://{api_host}/cloudapi/v1/contentLibraries/{libraryUrn}/projectPermissions
COPY
Path Parameters
string
libraryUrn
Required
libraryUrn
Query Parameters
string
filter
Optional
Filter for a query. FIQL format.
string
sortAsc
Optional
Field to use for ascending sort
string
sortDesc
Optional
Field to use for descending sort
integer
page
Required
Constraints:
minimum: 1
default: 1
Page to fetch, zero offset.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
OK
Returns
ProjectPermissions
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
Page ,
InlineProjectPermissions1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"permissions": "string",
"projectAssignment": {
"name": "string",
"id": "string"
}
}
]
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/contentLibraries/{libraryUrn}/projectPermissions?page=value&pageSize=v
Availability
Added in 9.1.0
On This Page
Content Library Operations
GET
Query Content Libraries
POST
Create Content Library
POST
Refresh Content Library
POST
Sync Content Library
GET
Get Content Library
PUT
Update Content Library
DELETE
Delete Content Library
GET
Query Content Library Project Permissions
PUT
Update Content Library Project Permissions